#include <bits/stdc++.h>
#include <cmath>
using namespace std;
int main() 
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);cout.tie(0);
	int n,m,a[100000],p[100000]={},x,y;
	long long kon=0;
	cin>>n>>m;
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
	}
	for(int i=0;i<m;i++)
	{
		cin>>x>>y;
		x--;
		y--;
		if(abs(a[x])>abs(a[y]))
		{
			if(a[x]>0)
			{
				p[x]++;
				p[y]++;
			}
			else
			{
				p[x]--;
				p[y]--;
			}
		}
		else
		{
			if(a[y]>0)
			{
				p[x]++;
				p[y]++;
			}
			else
			{
				p[x]--;
				p[y]--;
			}
		}
	}
	for(int i=0;i<n;i++)
	{
		kon+=a[i]*p[i];
	}
	cout<<kon;
	return 0;
}